﻿@using knowledge_accounting_system.BLL.DTO
@model IEnumerable<MarkDTO>
@{
    ViewBag.Title = "Добавление предмета";
}

<div class="panel panel-primary">
    <div class="form-group" style="text-align:center">
        <p class="text-primary rounded border border - light" style="padding-top:8px;padding-bottom:8px;font-size:20px">Добавление предмета</p>
    </div>
    @using (Html.BeginForm())
    {
        @Html.ValidationSummary(true)
        <div class="form-group">
            <label>Имя</label>
            <select class="form-control" name="Name">
                @foreach (var i in Model)
                {
                    <option>@i.Name</option>
                }
            </select>
        </div>
        <div class="form-group">
            <input name="UserName" type="hidden" value="@User.Identity.Name">
            <label>Оценка</label>
            <input type="range" class="form-control-range" min="1" max="5" list="tickmarks" name="Score">
            <datalist id="tickmarks">
                <option value="1">
                <option value="2">
                <option value="3">
                <option value="4">
                <option value="5">
            </datalist>
        </div>
        <button type="submit" class="btn btn-primary">Добавить</button>
        @Html.ActionLink("Отмена", "MarkMenu", null, new { @class = "btn btn-default" })
    }
</div>

